#
# spec file for package man (Version 2.4.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  groff
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         man
Version:      2.4.1
Release:      218
Summary:      A program for displaying man pages
License:      GPL
Group:        System/Base
PreReq:       fileutils fillup
Provides:     man_db
Requires:     groff >= 1.17 less
Autoreqprov:  on
Source:       man-db-%{version}.tar.bz2
Source1:      sysconfig.cron-man
Source2:      cron.daily.do_mandb
Source3:      cron.daily.clean_catman
Patch0:       man-db-%{version}.dif
Patch1:       man-db_%{version}-13.diff.bz2
Patch2:       man-db-2.3.19deb4.0-groff.dif
Patch3:       man-db-%{version}-error.dif
Patch4:       man-db-%{version}-section.dif
Patch6:       man-db-%{version}-security2.dif
Patch7:       man-db-2.3.19deb4.0-gettext.dif
Patch9:       man-db-%{version}-security4.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
A program for displaying man-pages on the screen or sending them to a
printer (using groff).



Authors:
--------
    G. Wilford <G.Wilford@ee.surrey.ac.uk>

%prep
%setup -n man-db-%{version}
%patch1  -p1 -b .debian
%patch2  -p0 -b .groff
%patch3  -p0 -b .err
%patch4  -p0 -b .sect
%patch6  -p0 -b .secu2
%patch7  -p0 -b .gettext
%patch9  -p0 -b .secu4
%patch   -p0

%build
%{?suse_update_config:%{suse_update_config -f tools }}
    rm -f configure
    echo $RPM_OPT_FLAGS
    make -f Makefile.Linux compile MANDIR=%{_mandir} SYSCONFDIR=%{_sysconfdir}

%install
set +o posix
#touch /tmp/bstamp; sleep 3; sync
    rm -rf ${RPM_BUILD_ROOT}/var/cache/man
    DESTDIR=${RPM_BUILD_ROOT}
    export DESTDIR
    make -f Makefile.Linux install MANDIR=%{_mandir}
    mkdir -p ${RPM_BUILD_ROOT}/usr/share/groff/site-tmac
    install -m 0644 groff/tmac.andb     ${RPM_BUILD_ROOT}/usr/share/groff/site-tmac/
    install -m 0644 groff/tmac.andocdb  ${RPM_BUILD_ROOT}/usr/share/groff/site-tmac/
    mkdir -p ${RPM_BUILD_ROOT}/var/adm/fillup-templates
    mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily
    install -m 700 %{SOURCE1} ${RPM_BUILD_ROOT}/var/adm/fillup-templates
    install -m 700 %{SOURCE2} ${RPM_BUILD_ROOT}/etc/cron.daily/do_mandb
    install -m 700 %{SOURCE3} ${RPM_BUILD_ROOT}/etc/cron.daily/clean_catman
    Check
#touch /tmp/estamp; sleep 3; sync
#(
#  find / -xdev  \( -newer /tmp/bstamp -a \( -not -newer /tmp/estamp \) \) -a \( \
#	\( \( \( -not -type d \) -a \( -not -type l \) \) -printf '%%p\n' \)  -o \
#	\( -type d -printf '%%p/\n' \) -o \( -type l -printf '%%p\n'  \) \)
#) > >(sort -u -t / | grep -vE '^(/tmp|/proc|/usr/src/packages)' > /tmp/man.list)
#rm /tmp/estamp /tmp/bstamp

%pre
test -d var/catman/ && rm -rf var/catman/ || true

%post
%{fillup_only -an cron}

%files
%config /etc/manpath.config
/etc/cron.daily/clean_catman
/etc/cron.daily/do_mandb
/usr/bin/apropos
/usr/bin/catman
/usr/bin/lexgrog
%attr(4755,root,root) /usr/bin/man
%attr(4755,root,root) /usr/bin/mandb
/usr/bin/manpath
/usr/bin/whatis
/usr/bin/zsoelim
%dir %attr(0711,root,root) /usr/lib/man-db
%attr(0711,root,root) /usr/lib/man-db/man
%attr(0711,root,root) /usr/lib/man-db/mandb
/usr/sbin/accessdb
/usr/share/groff/site-tmac/tmac.andb
/usr/share/groff/site-tmac/tmac.andocdb
/usr/share/locale/*/LC_MESSAGES/man?db.mo
%dir %{_mandir}/de
%dir %{_mandir}/de/man1
%doc %{_mandir}/de/man1/*.1.gz
%dir %{_mandir}/de/man5
%doc %{_mandir}/de/man5/*.5.gz
%dir %{_mandir}/de/man8
%doc %{_mandir}/de/man8/*.8.gz
%dir %{_mandir}/es
%dir %{_mandir}/es/man1
%doc %{_mandir}/es/man1/*.1.gz
%dir %{_mandir}/es/man5
%doc %{_mandir}/es/man5/*.5.gz
%dir %{_mandir}/es/man8
%doc %{_mandir}/es/man8/*.8.gz
%dir %{_mandir}/it
%dir %{_mandir}/it/man1
%doc %{_mandir}/it/man1/*.1.gz
%dir %{_mandir}/it/man5
%doc %{_mandir}/it/man5/*.5.gz
%dir %{_mandir}/it/man8
%doc %{_mandir}/it/man8/*.8.gz
%dir %{_mandir}/ja
%dir %{_mandir}/ja/man1
%doc %{_mandir}/ja/man1/*.1.gz
%dir %{_mandir}/ja/man5
%doc %{_mandir}/ja/man5/*.5.gz
%dir %{_mandir}/ja/man8
%doc %{_mandir}/ja/man8/*.8.gz
%doc %{_mandir}/man1/*.1.gz
%doc %{_mandir}/man5/*.5.gz
%doc %{_mandir}/man8/*.8.gz
%defattr(-,man,daemon)
/var/cache/man/*
/var/adm/fillup-templates/sysconfig.cron-man

%changelog -n man
* Wed Sep 22 2004 - werner@suse.de
- Use safe-rm for deleting straycats (bug #45612, comment #14)
* Thu Sep 04 2003 - werner@suse.de
- It seems that basename(3) results shouldn't be freed even if
  the manual page says they should. (bug #30093)
* Fri Aug 29 2003 - werner@suse.de
- Add workaround for less using xselection even if no -A is
  specified for bug #29612. Nevertheless less has to be fixed.
* Wed Aug 20 2003 - werner@suse.de
- Update to 2.4.1-13 security only, due missed fixes in previous
  patches.
* Fri Aug 15 2003 - kukuk@suse.de
- Use same permissions for man/mandb as in permissions package
* Thu Aug 07 2003 - werner@suse.de
- YaSP: Added more security
- Ensure that no version conflict happens during db purge (#28414)
* Fri Jul 11 2003 - werner@suse.de
- Update to 2.4.1-10
- Security fix: create the temporary database exclusive
* Mon Jul 07 2003 - werner@suse.de
- Security fix (bug #27474)
* Fri Jun 20 2003 - ro@suse.de
- fix build with current gettext
* Thu Jun 12 2003 - olh@suse.de
- disable sync call in install section
* Thu Jun 12 2003 - kukuk@suse.de
- /var/cache/man is part of filesystem
* Fri Jan 17 2003 - mfabian@suse.de
- add another request to tmac.andocdb:  ".  char  ' \N'39'"
  makes sure U+0027 (APOSTROPHE) doesn't get replaced by
  U+2019 (RIGHT SINGLE QUOTATION MARK)
* Sun Jan 12 2003 - mfabian@suse.de
- fix header of de.po to enable gettext to convert to locale
  encoding
- fix and update some translations in de.po
* Wed Jan 08 2003 - werner@suse.de
- bug #22628 -- add missed meta data within sysconfig file
* Mon Dec 02 2002 - werner@suse.de
- Make compress local manuals work if placed in a writable dir for
  the user man (bug #22215).
* Fri Oct 11 2002 - mfabian@suse.de
- add another request to tmac.andocdb similar to the one
  in the last changelog entry to make the regular minus '-'
  (without backslash) get rendered as U+002D (HYPHEN-MINUS)
  in man-pages as well.
* Fri Sep 06 2002 - mfabian@suse.de
- add the two lines
  .if '\*[.T]'utf8' \
  .  char \- \N'45'
  to /usr/share/groff/site-tmac/tmac.andocdb in order to get
  U+002D (HYPHEN-MINUS) instead of U+2212 (MINUS SIGN) as the
  minus sign in front of options in man-pages rendered in UTF-8
  locales. U+2212 (MINUS SIGN) makes searching in man-pages for
  options unnecessarily difficult.
* Fri Aug 23 2002 - werner@suse.de
- Use LESSCHARSET=japanese-euc for japanese to support even konsole
  (bug #18222)
* Fri Aug 16 2002 - werner@suse.de
- Add PreReq (bug #17927)
* Wed Jul 31 2002 - poeml@suse.de
- add ssl to the list of man sections (bug #17239)
* Sat Jul 27 2002 - adrian@suse.de
- fix neededforbuild
* Wed Jun 05 2002 - ro@suse.de
- run suse_update_config for subdir tools
* Fri May 10 2002 - werner@suse.de
- Use buildroot (fix bug #12158)
- Don't cache utf8 formatted man pages (fix bug #16067)
* Thu Apr 04 2002 - ro@suse.de
- fix for autoconf LIBOBJS vs AC_LIBOBJ
* Wed Mar 27 2002 - werner@suse.de
- Add space between grep command and its options for whatis
  text file fallback.
* Thu Mar 14 2002 - werner@suse.de
- Use nroff asci8 character set for korean (nippon does not work).
* Wed Feb 06 2002 - ro@suse.de
- sysconfig/cron_daily -> sysconfig/cron
* Thu Jan 31 2002 - werner@suse.de
- Add security patch from Olaf Kirch
* Thu Jan 31 2002 - ro@suse.de
- moved cron.daily scripts do_mandb and clean_catman to this pkg
* Fri Jan 11 2002 - werner@suse.de
- Add security patch from Thomas Biege
* Thu Dec 20 2001 - werner@suse.de
- Check existence of user man
* Tue Sep 25 2001 - werner@suse.de
- Close nonsens bug report #9419
* Tue Sep 18 2001 - werner@suse.de
- Avoid possible crash in mandb
* Fri Aug 31 2001 - werner@suse.de
- I vote to remove strtok() from ANSI-C: Use strsep() within
  pathappend() because thew calling function add_nls_manpath()
  uses strtok().
* Wed Aug 29 2001 - werner@suse.de
- More work on the whatis data base storage
* Tue Aug 28 2001 - werner@suse.de
- Whatis: Avoid error messages caused by buggy manual pages
  to see the wrong man pages one may use -v for verbose
* Thu Aug 16 2001 - werner@suse.de
- Global UTF-8 handling instead of two different ways
* Wed Aug 15 2001 - werner@suse.de
- Better UTF-8 man page handling: use curent locale even if we
  overwrite man page locale.
- Sometime there is no man page path for local man page files,
  therefore force language if not found.
* Mon Aug 13 2001 - werner@suse.de
- Initialize variable used in lexgrog.l
* Mon Jul 30 2001 - werner@suse.de
- Update to vesion 2.3.19deb4.0
- Port libz patch to this version
- Map UTF-8 man pages to appropiate groff command
- Make it work
* Sun Jun 17 2001 - bk@suse.de
- new location of tmac files is /usr/share/groff/site-tmac,
  needed for groff 1.17 and does not work with older versions
* Thu Jun 07 2001 - werner@suse.de
- Fix autoconf trouble
* Wed May 16 2001 - werner@suse.de
- Make xcopy more handy (bug#8499)
* Tue May 15 2001 - werner@suse.de
- Fix segfault on option -S parser
* Sat Apr 21 2001 - schwab@suse.de
- Fix inapproriate mixing of pointer and integers.
* Mon Apr 09 2001 - werner@suse.de
- Make it work
* Fri Apr 06 2001 - werner@suse.de
- Use own tmac groff files to avoid page headers and footers
  on ttys only
* Tue Mar 20 2001 - werner@suse.de
- Avoid deleting of data bases if we've newer version around
* Mon Mar 19 2001 - werner@suse.de
- Remove data bases at install time
* Mon Mar 19 2001 - werner@suse.de
- Update to 2.3.17-3.2
  * Port our patches and bugfixes to this new version
  * Change the wrapper to use setre(r|g)id and use
  this wrapper suid root
* Thu Feb 08 2001 - werner@suse.de
- Avoid error() call without format
* Mon Dec 11 2000 - werner@suse.de
- Correct depth level of patch
* Mon Dec 11 2000 - werner@suse.de
- Make `setlocale'zing more reliable accordingly to Andreas
  Jaeger.
* Sat Dec 09 2000 - mfabian@suse.de
- replaced all setlocale(LC_MESSAGES,"") with
  setlocale(LC_MESSAGES,"") *and* setlocale(LC_CTYPE,"").
  After the upgrade to Glibc 2.2, 8 bit characters in the
  French, Czech, and Japanese messages were displayed as "?".
  Changing the setlocale calls in the above way fixed it.
  Messages in all languages now display correctly again.
  First I replaced all setlocale(LC_MESSAGES,"") by
  setlocale(LC_ALL,""), but this causes problems. In that case,
  the messages display correctly, but  "LANG=ja_JP man man"
  incorrectly displays the English manpage. Strange.
  When using both setlocale(LC_MESSAGES,"") *and*
  setlocale(LC_CTYPE,"") but not setlocale(LC_ALL,""),
  everything seems to work correctly.
* Tue Dec 05 2000 - bk@suse.de
- added %%dir /usr/share/man/{de,es,it,ja}+man[158] to file list
* Fri Sep 15 2000 - pthomas@suse.de
- Add 3C++, 3C++std and 8C++ to the list of man sections, the
  Compaq man pages for C++ use these.
* Thu May 25 2000 - werner@suse.de
- Fix the man path problem (hint from Michael Reichardt
  <mrabuse@adlatus.muc.de>)
- Make mandir depending on the RPM macro %%_mandir
- Make zsoemlin zlib interface functions more compatible to cookie
  I/O functions (type changed in new glibc 2.1 and higher)
* Thu Mar 16 2000 - werner@suse.de
- Make lexgrog knowing the japanese multibyte string of section NAME
- Make flex use memory aligned tables.
* Wed Mar 08 2000 - werner@suse.de
- Security fix in straycats: Check if we got a temporary file!
* Thu Mar 02 2000 - ro@suse.de
- added usr/share/man/allman
* Tue Dec 14 1999 - werner@suse.de
- New version 2.3.10-69s
  * better NLS support
- Add all languages to /etc/manpatch.config before english default
- Make mandb usable only for root (avoid DOS attacks)
* Fri Nov 26 1999 - ro@suse.de
- printout full path-name on check
* Fri Nov 26 1999 - ro@suse.de
- patched configure.in to prefer gdbm
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 06 1999 - ro@suse.de
- removed (now) conflicting redeclarations from zsoelim.l
* Thu Sep 02 1999 - werner@suse.de
- Make man.c work again
- Use RPM_OPT_FLAGS
* Mon Aug 30 1999 - werner@suse.de
- Few simple changes
  * drop privileges before chdir back into current directory
  * do not search for local man page if not given `-l'
* Mon Jul 19 1999 - bs@suse.de
- fixed file list (/var/cache/man)
* Thu Jul 15 1999 - werner@suse.de
- Don't use carriage return but newline in messages.
* Wed Jul 14 1999 - kukuk@suse.de
- Fix %%pre section (use rm -rf)
* Mon Jul 12 1999 - werner@suse.de
- Add allman sub tree to fsstnd tree
* Fri Jul 09 1999 - ro@suse.de
- fixed filelist
* Tue Jul 06 1999 - werner@suse.de
- Update to debian version 2.3.10-69i
  * Change from /var/catman/ to /var/cache/man/
  * Make /usr/share/man/ possible
  * Buildin NLS support
- Fix some debian bugs (sig handlers!)
- Add SuSE bug fixes (sig handler) and zlib feature
* Wed Jun 30 1999 - werner@suse.de
- First changes for SuSE 6.2
  * Use fopencookie in zsoelim if glibc 2.1 or higher to avoid any
  possible link attack in /tmp/
  * Kill all possible childs (e.g. gunzip) of zsoelim for glibc 2.0
  to be able to unlink the temporary files during signal handling.
  * Use better sig and exit handling
* Fri Jun 04 1999 - werner@suse.de
- Fix security leak in zsoelim
- Set sig and exit handler for removing temporary files
- ToDo: use libz instead of gzip
* Mon May 03 1999 - ro@suse.de
- removed forgotten debug message
* Thu Mar 11 1999 - werner@suse.de
- Use -Tlatin1 if eqn is geqn
- Remove the index.bt's in /var/catman before being installed
- Support stupid manual pages using .\" instead of '\" for
  preprocessor cockies
* Thu Mar 11 1999 - werner@suse.de
- Use db2 if available
* Wed Mar 10 1999 - werner@suse.de
- Work around of a buffer/pointer cludge of strncat and strncpy
  (glibc/axp)
- Make CAT_FILE work
- ToDo: libdb1 is broken on axp
* Wed Feb 10 1999 - werner@suse.de
- Fix the SIGHUP/SIGTERM bug
- Use seteuid for LINUX_VERSION_CODE >= ((1<<16)+(1<<8)+37)
- Remove temp files for man -l even if signaled
- Fix some more possible SIGSEGV's
* Tue Sep 29 1998 - ro@suse.de
- restarted from stable-man:
  use usr/include/db1 and libdb1  for db lib
  added HAVE_STRSEP to include/config.h.in (this file is broken)
  libdb/Makefile.in, src/Makefile.in : removed -I- from CFLAGS
* Fri Aug 07 1998 - bs@suse.de
- added catman dirs for es, fr & it to file list.
* Thu Aug 06 1998 - bs@suse.de
- added es, fr & it.
* Wed Jul 15 1998 - bs@suse.de
- fixed /usr/man/allman/de
* Thu Apr 23 1998 - werner@suse.de
- Fix preprocessor handling:
  was missed since libz was used instead of gzip -dc
* Thu Mar 19 1998 - werner@suse.de
- Use lib(g)z for mandb
  * no temporary nroff files for parsing of the manual pages
  * handle only the first 4096 bytes from the first .SH down
  * now zsoelim gets the gezipped man page without extension
  instead a temporary nroff file
  * extend lexgrog.l-2.4a to catch most pages as possible
  * add -funroll-loop to the compile options, use -O2
* Fri Jun 06 1997 - bs@suse.e
- added allman stuff
